class_name Bullet extends Area2D
var speed = 700
@onready var bullet_image: Sprite2D = $BulletImage

signal bulletHit(body, bullet)

func _physics_process(delta: float) -> void:
	position += transform.x * speed * delta

func setSpeed(value):
	speed = value
	if speed < 0:
		bullet_image.flip_h = true
	if speed > 0:
		bullet_image.flip_h = false


func _on_body_entered(body: Node2D) -> void:	
	if not body is Player:
		print("bullet hit!")
		bulletHit.emit(body, self)
